Name:           gpredict
Version:        0.5.1
Release:        1
Summary:        Real-time satellite tracking and orbit prediction program
Group:          Applications/Communications
License:        GPL
URL:            http://sourceforge.net/projects/groundstation/
Source0:        http://prdownloads.sourceforge.net/groundstation/%{name}-%{version}.tar.gz
Patch0:         gpredict-0.5.0-po.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk+-devel hamlib-devel gnome-libs-devel gettext GConf-devel gnome-vfs-devel gnome-print-devel gal-devel desktop-file-utils

%description
Gpredict calculates and shows the position of satellites in lists and on maps.
It can also make detailed predictions of upcoming satellites passes.

%prep
%setup -q
%patch -p 1 -b .po

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

cat > gpredict.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Type=Application
Exec=gpredict
TryExec=
Icon=gpredict/icons/gpredict-icon.png
Terminal=false
Name=Gpredict
GenericName=Satellite Tracker
Comment=Track satellites in real-time
Startup-Notify=true
EOF
desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category HamRadio \
  --add-category GTK \
  gpredict.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}

%changelog
* Thu May 26 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.1-1
- Upstream update

* Wed Apr  6 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-5
- Rebuild against hamlib 1.2.4

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-4
- %%

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-3
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-1
- Bump release to 1
- Added d-f-u to BR

* Sun Feb 13 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.5.0-0.iva.0
- Initial RPM release.
